<div class="container">
	<h2 class="text-secondary-dark">
		<b i18n="title@@usersList">Users list</b>
	</h2>

	<div class="row h5 bg-secondary-dark pet-glow-secondary">
		<div class="col-1 text-tertiary-light pet-text-clip">
			<b>Id</b>
		</div>
		<div class="col-3 text-tertiary-light pet-text-clip">
			<b i18n="label@@name">Name</b>
		</div>
		<div class="col-2 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('newCount')">
				<fa-icon
					[icon]="sortedBy==='newCount' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@inserts"> Inserts</b>
		</div>
		<div class="col-2 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('editCount')">
				<fa-icon
					[icon]="sortedBy==='editCount' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@edits"> Edits</b>
		</div>
		<div class="col-4 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('lastCommit')">
				<fa-icon
					[icon]="sortedBy==='lastCommit' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@lastCommit"> Last</b>
		</div>
	</div>

	<div class="row">
		<div class="col pet-glow-dark">
			<div class="row striped-grid" *ngFor="let user of usersList | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize">
				<div class="col-1 pet-text-clip">{{user.kcId}}</div>
				<div class="col-3">{{user.name}}</div>
				<div class="col-2">{{user.newCount}}</div>
				<div class="col-2">{{user.editCount}}</div>
				<div class="col-4">{{user.lastCommit.toLocaleString()}}</div>
			</div>
		</div>
	</div>

	<div class="d-flex mt-2 justify-content-center">
		<ngb-pagination [(page)]="page" [pageSize]="pageSize"
			[collectionSize]="usersList.length" [directionLinks]="false"
			[rotate]="true" (pageChange)="onPageChange()"> </ngb-pagination>
	</div>
</div>
